Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.syncext
Class EPPSyncExtUpdate

    java.lang.Object
      com.verisign.epp.codec.syncext.EPPSyncExtUpdate

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPSyncExtUpdate

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a sync update.

Title: EPP 1.0 RGP

Description: SYNC Extension to the EPP SDK

Copyright: Copyright (c) 2004

Company: VeriSign

Version:
  1.0
Author:
  clloyd
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_MONTH_DAY` Constant for the expiration month/day tag name
`static java.lang.String` | `ELM_NAME` Constant for the update tag name

Constructor Summary
`EPPSyncExtUpdate()` Create an EPPSyncExtUpdate instance
`EPPSyncExtUpdate(int aMonth, int aDay)` Create a EPPSyncExtUpdate intance with the given month and day

Method Summary
`java.lang.Object` | `clone()` Clone `EPPSyncExtUpdate`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPSyncExtUpdate component.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPSyncExtUpdate` compare.
`int` | `getDay()` Gets the day of the month
`int` | `getMonth()` Returns the month.
`void` | `setDay(int aDay)` Sets the day of the month
`void` | `setMonth(int aMonth)` Sets the month

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the update tag name

  See Also:
    Constant Field Values

### ELM_MONTH_DAY

    public static final java.lang.String ELM_MONTH_DAY

  Constant for the expiration month/day tag name

  See Also:
    Constant Field Values

Constructor Detail

### EPPSyncExtUpdate

    public EPPSyncExtUpdate()

  Create an EPPSyncExtUpdate instance

### EPPSyncExtUpdate

    public EPPSyncExtUpdate(int aMonth,
                            int aDay)

  Create a EPPSyncExtUpdate intance with the given month and day

  Parameters:
    `aMonth` - the month using a `java.util.Calendar` month constant
    `aDay` - the day

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPSyncExtUpdate`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPSyncExtUpdate`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Sets all this instance's data in the given XML document. Only a basic precondition check is done on the range of month (Calendar.JANUARY - Calendar.DECEMBER) and day values (1 - 31).

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPSyncExtUpdate component. It's assumed that date has already been validated by the XML parsing, so the month and day are decoded with no additional validation.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` -
  Throws:
    `EPPDecodeException`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPSyncExtUpdate` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPSyncExtUpdate` instance to compare with
  Returns:
    true if equal false otherwise

### getMonth

    public int getMonth()

  Returns the month.

  Returns:
    the month using a `java.util.Calendar` month constant

### setMonth

    public void setMonth(int aMonth)

  Sets the month

  Parameters:
    `aMonth` - the month using a `java.util.Calendar` month constant

### getDay

    public int getDay()

  Gets the day of the month

  Returns:
    the day of the month

### setDay

    public void setDay(int aDay)

  Sets the day of the month

  Parameters:
    `aDay` - the day of the month

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.